import Barco from './barco';
import Jugador from './jugador';

export default class BattleshipGame {
  public jugadorA: Jugador;
  public jugadorB: Jugador;
  private _estado: string;

  get estado(){return this._estado}
  set estado(estado:string){
    this._estado=estado;
  }
  constructor() {
    this.jugadorA=new Jugador();
    this.jugadorB=new Jugador();    
    this.estado='ENPREPARACION';
  }

  
}
